## astropy 7.1.1

=== debian/changelog ===
astropy (7.1.1-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Convert 'd/watch' to version 5 format.
  * Remove no longer needed 'Rules-Requires-Root: no'. Now is default behavior.
  * Fix fail to build source after successful build.
  * Remove 'pytest*' 'Depends' from 'python3-astropy'. (Closes: #1095064)
  * Adjust debian/copyright
  * Remove redundant overrides file.
  * Add missing 'Build_depends' of 'pybuild-plugin-pyproject'.

  [ Ole Streicher ]
  * d/watch: switch upstream source to Github
  * New upstream version 7.1.1
  * Rediff patches
  * Remove outdated breaks

 -- Ole Streicher <olebole@debian.org>  Tue, 14 Oct 2025 09:42:08 +0200
