=== debian/watch ===
Version: 5
Template: Github
Owner: astropy
Project: astropy
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@STABLE_VERSION@
