## astropy 7.2.0~rc2

=== debian/changelog ===
astropy (7.2.0~rc2-1) experimental; urgency=medium

  * Also depend on python3-pytz instead of python3-tz
  * New upstream version 7.2.0~rc2
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Wed, 19 Nov 2025 18:35:51 +0100

astropy (7.1.1-4) experimental; urgency=medium

  * Replace obsolete package python3-tz with python3-pytz
  * Make remaining test xfail that fails under mips64el
  * Confirm marking one test as xfail that sometimes fails on i386

 -- Ole Streicher <olebole@debian.org>  Thu, 30 Oct 2025 09:19:35 +0100

astropy (7.1.1-3) experimental; urgency=medium

  * Increase tolerance for test_polynomial_poorly_conditioned

 -- Ole Streicher <olebole@debian.org>  Mon, 27 Oct 2025 11:10:10 +0100

astropy (7.1.1-2) experimental; urgency=medium

  * Fix FTBFS on GNU Hurd
  * This is an experimento see which of the disabled tests were
    magically fixed in the last years.
  * Remove patches that switch off tests that fail on some platforms

 -- Ole Streicher <olebole@debian.org>  Sun, 26 Oct 2025 12:43:56 +0100
