## astropy 7.2.0

=== debian/changelog ===
astropy (7.2.0-1) unstable; urgency=medium

  * New upstream version 7.2.0. Switch back to unstable.
  * Rediff patches

 -- Ole Streicher <olebole@debian.org>  Sun, 30 Nov 2025 10:40:24 +0100
