=== debian/control ===
--- 
+++ 
@@ -31,6 +31,7 @@
  python3-pytest <!nocheck>,
  python3-pytest-astropy <!nocheck>,
  python3-pytest-mpl <!nocheck>,
+ python3-pytz <!nocheck>,
  python3-scipy <!nocheck>,
  python3-setuptools,
  python3-setuptools-scm,
@@ -41,7 +42,6 @@
  python3-sphinx-copybutton <!nodoc>,
  python3-sphinx-design <!nodoc>,
  python3-sphinxcontrib.jquery <!nodoc>,
- python3-tz <!nocheck>,
  python3-yaml <!nocheck>,
  towncrier,
  wcslib-dev,
@@ -72,7 +72,7 @@
  python3-h5py,
  python3-matplotlib,
  python3-pandas,
- python3-tz,
+ python3-pytz,
  python3-yaml,
 Description: Core functionality for performing astrophysics with Python
  The astropy package contains core functionality and some common tools
